.l-navigation {
	padding-top: 20px;
	size: 100% 81px;
	overflow: hidden;
	border-top: 1px solid #2485cb;
	background-color: var(--color-main);
	transition: bottom .3s ease 0s, height .3s ease 0s;
	z-index: 8020;

	&.active {
		height: 138px;

		@media (--tablet-only) {
			height: 195px;
		}
	}

	@media (--mobile) {
		height: auto;
		max-height: 41px;
		border-top: 0;
		padding-top: 0;

		&.active {
			height: auto;
			max-height: 800px;
		}
	}
}

.l-navigation__mobile-trigger {
	display: none;

	@media (--mobile) {
		display: block;
		size: 100% 41px;
		text-transform: uppercase;
		border-bottom: 1px solid #2485cb;
		text: #ffffff 800 15px 40px .06em;
		background-repeat: no-repeat;
		background-position: 95% center;
		background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAECAYAAACzzX7wAAAAKklEQVQImXXKsQkAQAzDQBUZ3JvrqxAIH1XGHGq8CyoHikqDjdJ/MeW3H5EEV7Hmb3+gAAAAAElFTkSuQmCC');
	}
}

.l-navigation__list {
	margin: 0 *;
	padding: 0;
	list-style: none;
	text-align: center;
	font-size: 0;

	@media (--desktop-min) {
		&:first-child {
			& .l-navigation__list-item {
				display: none;

				&:last-child,
				&:nth-child(-n+9) {
					display: block;
				}
			}
		}

		&:last-child {
			& .l-navigation__list-item:nth-child(-n+9) {
				display: none;
			}
		}
	}

	@media (--tablet-horizontal-only) {
		&:first-child {
			& .l-navigation__list-item {
				display: none;

				&:last-child,
				&:nth-child(-n+7) {
					display: block;
				}
			}
		}

		&:last-child {
			& .l-navigation__list-item:nth-child(-n+7) {
				display: none;
			}
		}
	}

	@media (--tablet-vertical-only) {
		&:first-child {
			& .l-navigation__list-item {
				display: none;

				&:last-child,
				&:nth-child(-n+5) {
					display: block;
				}
			}
		}

		&:last-child {
			& .l-navigation__list-item:nth-child(-n+5) {
				display: none;
			}
		}
	}

	@media (--mobile) {
		& .l-navigation__list-item:first-child,
		&:last-child {
			display: none;
		}
	}
}

.l-navigation__list-item {
	padding-top: 8px;
	padding-bottom: 25px;

	&:not(:last-child) {
		margin-right: 20px;

		@media (--mobile) {
			margin-right: 0;
		}
	}

	@media (--mobile) {
		width: 100%;
		height: 40px;
		float: none;
		padding-top: 5px;
		padding-bottom: 0;
		border-bottom: 1px solid #2485cb;
	}
}

.l-navigation__list-link,
.l-navigation__list-button {
	text-decoration: none;
	border-bottom: 2px solid transparent;
	text: #ffffff 800 uppercase 15px 25px .9px;
	transition: border-bottom-color .3s ease 0s;

	&.active,
	&:hover {
		border-bottom-color: #ffffff;
	}
}

.l-navigation__nav.active .l-navigation__list-button::after {
	transform: rotate(180deg);
}

.l-navigation__list-button {
	&::after {
		content: '';
		size: 8px 4px;
		margin-left: 5px;
		margin-top: -2px;
		display: inline-block;
		vertical-align: middle;
		transition: transform .3s ease 0s;
		background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAAECAYAAACzzX7wAAAAKklEQVQImXXKsQkAQAzDQBUZ3JvrqxAIH1XGHGq8CyoHikqDjdJ/MeW3H5EEV7Hmb3+gAAAAAElFTkSuQmCC');
	}
}
